# Quote Machine
A Quote Machine MERN web app bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

![screenshot](https://i.ibb.co/QN0dwwt/Screen-Shot-2019-02-09-at-15-04-16.png)

# Visit on web
 Visit at [heroku](https://quote-machine-pwa.herokuapp.com/)

# Technologies
Project is created with :
- React
- Redux
- Node
- Express
- MongoDB
- Mongoose
- Sass
- Jest
- Enzyme
- Mocha
- Chai
- Sinon

# Key features
- Start your day with inspiring quotes
- Copy Quote to clipboard with a click
- Tweet Quote with a click


# Install

To clone and run this application, you'll need [Git](https://git-scm.com) and [Node.js](https://nodejs.org/en/download/) (which comes with [npm](http://npmjs.com)) installed on your computer. From your command line:

```bash
# Clone this repository
$ git clone https://github.com/1XWebbyX1/quote-machine-pwa

# Go into the repository
$ cd quote-machine-pwa

# Install dependencies
$ npm install

# Run the app
$ npm run dev
```
You will then be able to access it at localhost:3000

Note: If you're using Linux Bash for Windows, [see this guide](https://www.howtogeek.com/261575/how-to-run-graphical-linux-desktop-applications-from-windows-10s-bash-shell/) or use `node` from the command prompt.

# Running Server-Side Integration Tests

```shell
# In the root folder run
$ npm test
```

# Running Front-End Tests

```shell
# Go into front-end repository
$ cd client
$ npm test
```


# You may also like
- [Markdown Previewer](https://github.com/1XWebbyX1/markdown-previewer-pwa)
- [Drum Machine](https://github.com/1XWebbyX1/electric-drums-pwa)


# Inspiration
This Project was inspired by(not entirely based on)  suggested  user stories  at [freeCodeCamp](https://learn.freecodecamp.org/front-end-libraries/front-end-libraries-projects/build-a-random-quote-machine).

# ToDo

- Implement PWA features

# License

MIT

---


> GitHub [@1XWebbyX1](https://github.com/1XWebbyX1)
